#ifndef STREAMMANAGER_H
#define STREAMMANAGER_H
#include "main.h"
#include "../stdafx.h"

class StreamManager
{
public:
	StreamManager();
	~StreamManager();
	void Close();
	esInputMode GetInputMode();
	unsigned long InitStream(bool* Seekable);
	bool ReadF(unsigned char* hbuf, DWORD length, LPDWORD numread);
	DWORD SetFPointer(LONG lDistanceToMove, PLONG lpDistanceToMoveHigh, DWORD dwMoveMethod);
	void SetInName(TCHAR* FileName);
private:
	CInternetSession* mysession;
	HINTERNET m_hInternetSession;
	HANDLE StreamHandle;
	esInputMode InputMode;
	bool stopRead;
	LONG lastReadSize;
	TCHAR* InName;  	   // Input stream filename 
};

#endif 